---
# defaults file for aap_setup_install

# which version of the installer to download
aap_setup_down_version: "{{ aap_setup_down_version }}"

# where is the setup directory
aap_setup_inst_setup_dir: "{{ aap_setup_prep_setup_dir }}"

# where is the inventory file, relative to the above directory _or_ absolute:
aap_setup_inst_inventory: inventory

# Are we installing containerized AAP
aap_setup_inst_containerized: "{{ aap_setup_containerized }}"

# dictionary of extra vars files used when calling setup.sh
aap_setup_inst_extra_vars_files: []
# - extra_vars.yml
# - ldap_vars.yml

# dictionary of extra vars used when calling setup.sh
aap_setup_inst_extra_vars: {}
#  # When installing automation controller make sure Ansible is also up to date
#  upgrade_ansible_with_tower: false
#  # When installing AAP also create the Demo Org, project, credential, Job Template, etc.
#  create_preload_data: true
#  # When installing from a bundle where to put the bundled repos
#  bundle_install_folder: var/lib/tower-bundle
#  # Disable HTTPS traffic through nginx, this is useful if offloading HTTPS to a load balancer
#  nginx_disable_https: false
#  # Disable HSTS web-security policy mechanism
#  nginx_disable_hsts: false
#  # Port to configure nginx to listen to for HTTP
#  nginx_http_port: 80
#  # Port to configure nginx to listen to for HTTPS
#  nginx_https_port: 443
#  # A temp location to use when backing up
#  backup_dir: /var/backups/tower/
#  # Specify an alternative backup file to restore from
#  restore_backup_file: None
#  # The minimum RAM required to install AAP (should only be changed for test installation)
#  required_ram: 3750
#  # The minimum open file descriptions (should only be changed for test installations)
#  min_open_fds: None
#  # Ignore preflight checks, useful when installing into a template or other non-system image (overrides required_ram and min_open_fds)
#  ignore_preflight_errors: false

# Note that the controller_hostname and ah_hostname are defined differently
# than usual because the installation is supposed to run against the install
# host, instead of the controller/PAH host being installed (or configured)

# These are the default variables common to most controller_configuration
# and _utilities roles
# You shouldn't need to define them again and again but they should be defined
#
# controller_hostname: "{{ inventory_hostname }}"
controller_hostname: "{{ (aap_setup_prep_inv_nodes['automationcontroller'].keys() | list)[0] }}"
# controller_username: "admin"
# controller_password: ""
# controller_oauthtoken: ""
# controller_config_file: ""
# controller_validate_certs: false

# These are the default variables common to most ah_configuration
# and controller_utilities roles
# You shouldn't need to define them again and again but they should be defined
#
# ah_hostname: "{{ inventory_hostname }}"
ah_hostname: "{{ (aap_setup_prep_inv_nodes['automationhub'].keys() | list)[0] }}"
# ah_username: "admin"
# ah_password: ""
# ah_oauthtoken: ""
# ah_validate_certs: false

eda_hostname: "{{ (aap_setup_prep_inv_nodes[__aap_setup_inst_eda_group_name].keys() | list)[0] }}"
# eda_validate_certs: false

# gateway_hostname: "{{ inventory_hostname }}"
gateway_hostname: "{{ (aap_setup_prep_inv_nodes['automationgateway'].keys() | list)[0] }}"
# gateway_username: "admin"
# gateway_password: ""
# gateway_oauthtoken: ""
# gateway_config_file: ""
# gateway_validate_certs: false

# force the installation of AAP even if it's already running
aap_setup_inst_force: false

# list of fixes to apply before starting the actual installation,
# review before bumping up the default AAP version
aap_setup_inst_fixes: []
...
